# wxMouseState Class Reference
[Events]

`#include <wx/mousestate.h>`

Inheritance diagram for wxMouseState:
[legend]

## Detailed Description

Represents the mouse state.

This class is used as a base class by wxMouseEvent and so its methods may be used to obtain information about the mouse state for the mouse events. It also inherits from wxKeyboardState and so carries information about the keyboard state and not only the mouse one.

This class is implemented entirely inline in <wx/mousestate.h> and thus has no linking requirements.

##

Library: None; this class implementation is entirely header-based.

Category: Events

See also:
  wxGetMouseState(), wxMouseEvent

## Public Member Functions
| wxMouseState ()
| Default constructor.
wxCoord | GetX () const
| Returns X coordinate of the physical mouse event position.
wxCoord | GetY () const
| Returns Y coordinate of the physical mouse event position.
bool | LeftIsDown () const
| Returns true if the left mouse button is currently down.
bool | MiddleIsDown () const
| Returns true if the middle mouse button is currently down.
bool | RightIsDown () const
| Returns true if the right mouse button is currently down.
bool | Aux1IsDown () const
| Returns true if the first extra button mouse button is currently down.
bool | Aux2IsDown () const
| Returns true if the second extra button mouse button is currently down.
void | SetX (wxCoord x)
void | SetY (wxCoord y)
void | SetPosition (wxPoint pos)
void | SetLeftDown (bool down)
void | SetMiddleDown (bool down)
void | SetRightDown (bool down)
void | SetAux1Down (bool down)
void | SetAux2Down (bool down)
void | SetState (const wxMouseState &state)
wxPoint | GetPosition () const
| Returns the physical mouse position.
void | GetPosition (int *x, int *y) const
| Returns the physical mouse position.

List of all members.

## Constructor & Destructor Documentation

wxMouseState::wxMouseState | ( |  | ) |

Default constructor.

## Member Function Documentation

bool wxMouseState::Aux1IsDown | ( |  | ) | const

Returns true if the first extra button mouse button is currently down.

bool wxMouseState::Aux2IsDown | ( |  | ) | const

Returns true if the second extra button mouse button is currently down.

void wxMouseState::GetPosition | ( | int * | x,
|  | int * | y |
| ) |  |  | const

Returns the physical mouse position.

wxPoint wxMouseState::GetPosition | ( |  | ) | const

Returns the physical mouse position.

wxCoord wxMouseState::GetX | ( |  | ) | const

Returns X coordinate of the physical mouse event position.

wxCoord wxMouseState::GetY | ( |  | ) | const

Returns Y coordinate of the physical mouse event position.

bool wxMouseState::LeftIsDown | ( |  | ) | const

Returns true if the left mouse button is currently down.

bool wxMouseState::MiddleIsDown | ( |  | ) | const

Returns true if the middle mouse button is currently down.

bool wxMouseState::RightIsDown | ( |  | ) | const

Returns true if the right mouse button is currently down.

void wxMouseState::SetAux1Down | ( | bool | down | ) |

void wxMouseState::SetAux2Down | ( | bool | down | ) |

void wxMouseState::SetLeftDown | ( | bool | down | ) |

void wxMouseState::SetMiddleDown | ( | bool | down | ) |

void wxMouseState::SetPosition | ( | wxPoint | pos | ) |

void wxMouseState::SetRightDown | ( | bool | down | ) |

void wxMouseState::SetState | ( | const wxMouseState & | state | ) |

void wxMouseState::SetX | ( | wxCoord | x | ) |

void wxMouseState::SetY | ( | wxCoord | y | ) |

|  | [ top ]